org.eclipse.wst.jsdt.core

## Interface IBufferFactory

Deprecated.
Use `WorkingCopyOwner` instead Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

    public interface IBufferFactory

A factory that creates `IBuffer`s for openables.

This interface may be implemented by clients.

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`IBuffer` `createBuffer(IOpenable owner)` Deprecated. Creates a buffer for the given owner.

### Method Detail

#### createBuffer

    IBuffer createBuffer(IOpenable owner)

Deprecated.
Creates a buffer for the given owner. The new buffer will be initialized with the contents of the owner if and only if it was not already initialized by the factory (a buffer is uninitialized if its content is `null`).

Parameters:
  `owner` - the owner of the buffer
Returns:
  the newly created buffer
See Also:
  `IBuffer`